body, html {
  min-height: 100vh;
  background-color: #FBF4E3;
}

.auth-wrapper {
  width: 100%;
  margin: auto;
  max-width: 350px;
  text-align: left;
}

.login-container {
  display: flex;
  width: 100%;
  min-height: 100vh;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  overflow: auto;
  border-radius: 10px;
  align-items: center;
}

.form-side {
  flex: 1;
  padding: 40px;
  background: transparent;
  flex-direction: column;
  align-items: center;
  overflow-y: auto;
  max-height: none;
}

.logo-container {
  text-align: center;
  margin-bottom: 40px;
}

.logo {
  max-width: 25%;
  height: auto;
}

.image-side {
  flex: 2;
  background: url('../background.png') no-repeat center/cover;
  height: 100vh;
  position: relative;
}

.image-side::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(251, 244, 227, 0.5);
  z-index: 1;
}

.fs-4 {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
}

hr {
  border-top: 1px solid #ddd;
  margin: 15px 0;
}

.mb-3 {
  margin-bottom: 15px;
}

.form-label {
  font-size: 14px;
  color: #777;
  margin-bottom: 5px;
}

.form-control {

  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 16px;
}

.input-group {
  position: relative;
}

.heading-main {
  font-size: 24px;
  color: #252932;
  margin-bottom: 8px;
  font-weight: 700;
  line-height: 150%;
  letter-spacing: 0;
}

.heading-sub {
  font-size: 16px;
  color: #9A9AAD;
  font-weight: 400;
  line-height: 150%;
  letter-spacing: 0;
}

.accept-terms {
  margin-bottom: 12px;
}

/*.input-group button {*/
/*  position: absolute;*/
/*  top: 50%;*/
/*  right: 10px;*/
/*  transform: translateY(-50%);*/
/*  background: transparent;*/
/*  border: none;*/
/*  cursor: pointer;*/
/*}*/

input.form-control,
textarea.form-control,
select.form-control {
  background-color: #fff !important;
  color: #212529 !important;
  border-color: #ced4da !important;
  box-shadow: none !important;
}

input.form-control::placeholder,
textarea.form-control::placeholder {
  color: #6c757d !important;
  opacity: 1;
}

input[type="checkbox"] {
  accent-color: #0d6efd !important;
  background-color: #fff !important;
  border: 1px solid #ced4da !important;
}

input[type="checkbox"]:checked {
  accent-color: #0d6efd !important; 
  background-color: #0d6efd !important;
  border-color: #0d6efd !important;
}

input[type="checkbox"] + label,
.form-check-label {
  color: #212529 !important;
}

.btn-primary {
  width: 100%;
  padding: 12px;
  background-color: #0C3F87;
  color: #fff;
  border: none;
  border-radius: 8px;
  font-size: 14px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  gap: 8px;
  font-weight: 500;
}

.btn-primary:hover {
  background-color: #0a2f66;
}

.btn-primary:disabled {
  background-color: #A3C1E0;
  cursor: not-allowed;
}

.btn-link {
  color: #0056b3;
}

.btn-link:hover {
  color: #0a2f66;
}

.text-primary {
  color: #0056b3 !important;
}

.text-primary:hover {
  color: #0a2f66 !important;
}

.text-danger {
  color: #dc3545;
  font-size: 12px;
  margin-top: 5px;
  display: block;
}

.text-hint {
  color: #6c757d;
  font-size: 12px;
  margin-top: 5px;
}

.list-unstyled {
  list-style: none;
  padding: 0;
}

.list-unstyled li {
  margin-bottom: 10px;
}

.list-unstyled li a {
  text-decoration: none;
  color: #333;
}

.remember-me {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
}

.remember-me input[type="checkbox"] {
  margin-right: 8px;
}

.g-recaptcha {
  margin-bottom: 1rem;
}

span.field-validation-error {
  width: 100%;
}

.validation-summary-errors {
  --bs-alert-color: var(--bs-danger-text-emphasis);
  --bs-alert-bg: var(--bs-danger-bg-subtle);
  --bs-alert-border-color: var(--bs-danger-border-subtle);
  --bs-alert-link-color: var(--bs-danger-text-emphasis);
  --bs-alert-padding-x: 1rem;
  --bs-alert-padding-y: 1rem;
  --bs-alert-margin-bottom: 1rem;
  --bs-alert-border-color: transparent;
  --bs-alert-border: var(--bs-border-width) solid var(--bs-alert-border-color);
  --bs-alert-border-radius: var(--bs-border-radius);
  --bs-alert-link-color: inherit;
  position: relative;
  padding: var(--bs-alert-padding-y) var(--bs-alert-padding-x);
  margin-bottom: var(--bs-alert-margin-bottom);
  color: var(--bs-alert-color);
  background-color: var(--bs-alert-bg);
  border: var(--bs-alert-border);
  border-radius: var(--bs-alert-border-radius);
}

.validation-summary-errors ul {
  margin-bottom: 0 !important;
}

.field-validation-error {
  color: var(--bs-danger-text-emphasis) !important;
}

.field-validation-valid {
  display: none;
}

.input-validation-error {
  border-color: var(--bs-form-invalid-border-color);
}

input:not([type=checkbox]):not([type=radio]).input-validation-error {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.input-validation-error:invalid:focus, .form-control.input-validation-error:focus {
  border-color: var(--bs-form-invalid-border-color);
  box-shadow: 0 0 0 0.25rem rgba(var(--bs-danger-rgb), 0.25);
}

textarea.form-control.input-validation-error {
  padding-right: calc(1.5em + 0.75rem);
  background-position: top calc(0.375em + 0.1875rem) right calc(0.375em + 0.1875rem);
}

.form-select.input-validation-error {
  border-color: var(--bs-form-invalid-border-color);
}

.form-select.input-validation-error:not([multiple])[size="1"] {
  --bs-form-select-bg-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  padding-right: 4.125rem;
  background-position: right 0.75rem center, center right 2.25rem;
  background-size: 16px 12px, calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.form-select.input-validation-error:focus {
  border-color: var(--bs-form-invalid-border-color);
  box-shadow: 0 0 0 0.25rem rgba(var(--bs-danger-rgb), 0.25);
}

.form-control-color.input-validation-error {
  width: calc(3rem + 1.5em + 0.75rem);
}

.form-check-input.input-validation-error {
  border-color: var(--bs-form-invalid-border-color);
}

.form-check-input.input-validation-error:checked {
  background-color: var(--bs-form-invalid-color);
}

.form-check-input.input-validation-error:focus {
  box-shadow: 0 0 0 0.25rem rgba(var(--bs-danger-rgb), 0.25);
}

.form-check-input.input-validation-error ~ .form-check-label {
  color: var(--bs-form-invalid-color);
}

.input-group > .form-control:not(:focus).input-validation-error,
.input-group > .form-select:not(:focus).input-validation-error,
.input-group > .form-floating:not(:focus-within).input-validation-error {
  z-index: 4;
}

.has-validation-error.is-invalid.multiselect {
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
  border-color: var(--bs-form-invalid-border-color);
}

.has-validation-error.is-invalid.term-entries-area {
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
  border-color: var(--bs-form-invalid-border-color);
  padding: 0.375rem 0.75rem;
}

/* Country code dropdown wrapper */
.phone-code-wrapper {
  flex: 0 0 100px; /* Fixed width for country code */
}

#phone-country-code {
  width: 40%;
  border-radius: 4px;
  border: 1px solid #ced4da;
  font-size: 14px;
}

/* Custom input for email or phone number */
.custom-phone-email-input {
  flex: 1 1 auto; /* Takes remaining space */
  padding: 6px 12px;
  font-size: 14px;
  border-radius: 4px;
  border: 1px solid #ced4da;
  box-sizing: border-box;
  width: 100%;
}

/* Error message styling */
.field-validation-error {
  font-size: 13px;
  color: #dc3545;
}

@media (min-width: 768px) and (max-width: 1024px) {
  .login-container {
    display: flex;
    flex-direction: row;
    height: 100vh;
    gap: 20px;
  }

  .form-side,
  .image-side {
    flex: 1; 
    width: 50%;
  }

  .form-side {
    padding: 40px;
  }

  .image-side {
    display: block;
  }
}

@media (max-width: 768px) {
  .login-container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
  }

  .form-side,
  .image-side {
    flex: none;
    height: auto;
  }

  .image-side {
    display: none;
  }
}

@media (max-width: 480px) {
  .form-side {
    padding: 15px 10px;
  }

  .form-side h1 {
    font-size: 1.5rem;
  }

  .form-side input,
  .form-side button {
    font-size: 0.95rem;
  }
  .form-row {
    flex-direction: column;
  }
}

@media (min-width: 768px) {
  .col-md-6.offset-md-3 {
    width: 100% !important;
    margin-left: 0 !important;
  }

  .col-md-offset-4 {
    width: 100% !important;
    margin-left: 0 !important;
  }
}

.form-row {
  display: flex;
  gap: 1rem;
}

.form-row .form-group {
  flex: 1;
}
